Cómo evitar problemas de compatibilidad del software para los sistemas CompactRIO

Visión General

Esta página le brinda instrucciones y consejos para resolver problemas de compatibilidad del software para sistemas CompactRIO.

Debe instalar el software requerido antes de desarrollar una aplicación con un controlador CompactRIO y los módulos de E/S de la Serie C. Siga cuidadosamente las siguientes instrucciones para asegurar que el sistema CompactRIO se pueda añadir al proyecto de LabVIEW. Si no se siguen las instrucciones, pueden surgir problemas de compatibilidad. Las causas principales por las que surgen problemas de compatibilidad del software son las siguientes:

  • Realizar actualizaciones del software
  • Desinstalar software
  • Instalar una versión del software que no coincide entre el equipo de desarrollo y el sistema CompactRIO
  • Instalar varias versiones de LabVIEW (ej., 64 bits y 32 bits)
  • Instalar software fuera de servicio

Contenido

Orden e instrucciones para la instalación del software

FlowchartDiagrama de flujo

Identifique las versiones de software compatibles mínimas y máximas para su sistema CompactRIO.

El sistema CompactRIO incluye un controlador, chasis y múltiples módulos de E/S de la Serie C. La versión del controlador para cada uno depende de la fecha de lanzamiento. Para identificar las versiones del software que son compatibles con el sistema CompactRIO, compruebe el adjunto para ver la versión del software mínima y máxima para su sistema.

Instalación del software requerido

Entorno de Programación Controlador Herramienta de instalación y configuración
  • LabVIEW
  • LabVIEW Real Time (RT)
  • LabVIEW FPGA1
  • NI-RIO
  • Soporte para módulos de CompactRIO2Soporte para módulos de CompactRIO2
  • Controladores adicionales para el soporte para módulos específicos3 (ej., EtherCAT, XNET, NI-DAQmx)
  • Measurement & Automation Explorer (MAX)4

1El módulo del software LabVIEW FPGA es opcional, a menos que necesite desarrollar un código para el objetivo FPGA.
2Soporte para módulos de NI CompactRIO; consulte la siguiente tabla para obtener más información.
3 Controlador adicional necesario para añadir soporte para módulos específicos de la Serie C (ej., NI-RIO).
Por lo tanto, MAX no tiene un instalador autónomo.

El Soporte para módulos de CompactRIO es una versión semestral que ofrece soporte a nuevos módulos de la Serie C. Puede instalar el Soporte para módulos de CompactRIO mediante uno de los siguientes métodos:

  1. Instale el Soporte para módulos de CompactRIO sobre la versión anterior del controlador CompactRIO o NI-RIO. Por ejemplo, instale el Soporte para módulos de CompactRIO 14.6 sobre NI-RIO 14.5. Las versiones principales generalmente finalizan en .0 o .5.
  2. Instale la siguiente versión principal de CompactRIO o NI-RIO. Por ejemplo, en lugar de instalar el Soporte para módulos de CompactRIO 14,6, puede instalar CompactRIO 15,0 o una versión posterior (que incluirá el soporte para esos módulos).
Soporte para módulos de CompactRIO para añadir módulos específicos de la Serie C
NI-XNET NI-VISA, NI Serial Soporte para módulos de NI CompactRIO NI-Industrial Communications para EtherCAT
NI 9860 NI 9870 NI 9209 NI 9144
NI 9861 NI 9871 NI 9210 NI 9145
NI 9862   NI 9216  
NI 9866   NI 9217  
    NI 9224  
    NI 9226  
    NI 9228  
    NI 9230  
    NI 9242  
    NI 9244  
    NI 9246  
    NI 9247  
    NI 9250  
    NI 9251  
    NI 9260  
    NI 9264  
    NI 9266  
    NI 9344  
    NI 9403  
    NI 9437  
    NI 9478  
    NI 9485  
    NI 9502  
    NI 9505  
    NI 9770  
    NI 9775  

 

Activación del software

Inicie NI License Manger; escribiendo “License Manager” en la barra de tareas de Windows para comprobar que el software está activado. Haga clic aquí para obtener más información sobre cómo activar el software de NI

El controlador del dispositivo NI-RIO no necesita activarse. Para comprobar qué versión del controlador del dispositivo está instalada, siga los siguientes pasos:

  1. Abra Measurement & Automation Explorer (MAX).
  2. Abra el menú desplegable del software a la izquierda y seleccione NI-RIO.

Haga clic aquí para descargar NI-RIO en caso de que el controlador del dispositivo no esté en la lista.

Nota: Instale siempre LabVIEW, LabVIEW Real Time y el Módulo LabVIEW FPGA antes de instalar el controlador del dispositivo (ej., NI-RIO).

NI License Manager 3.7 y las versiones anteriores muestran LabVIEW, Módulo de LabVIEW Real-Time y Módulo FPGA activados. NI License Manager 4.0 muestra LabVIEW, Módulo de LabVIEW Real-Time y Módulo FPGA activados.

 

Añadir su controlador CompactRIO

Si su controlador CompactRIO no aparece en la lista de MAX, es posible que exista un problema de compatibilidad del software, un problema del firewall o un conflicto de IP. Si su controlador CompactRIO ofrece una conexión de host por USB, puede conectarlo directamente al equipo de desarrollo para evitar problemas con el firewall y conflictos de IP. Haga clic aquí para obtener más información.

Siga los siguientes pasos para ejecutar el asistente para la solución de problemas de detección de sistemas remotos:

1. Abra MAX.
2. Haga clic derecho en Remote System y seleccione Troubleshoot Remote System Discovery.
3. Seleccione su controlador
4. Haga clic en Next.

Troubleshooting Remote System DiscoverySolución de problemas de detección de sistemas remotos